package com.lightinit.hsdataplatformresdir.mapper;

import com.lightinit.hsdataplatformresdir.entity.BaseExample;
import com.lightinit.hsdataplatformresdir.entity.DataCatelogSubscribe;
import com.lightinit.hsdataplatformresdir.entity.DataCatelogSubscribeExample;
import java.util.List;

import com.lightinit.hsdataplatformresdir.model.admin.DataCatelogListModel;
import org.apache.ibatis.annotations.Param;

public interface DataCatelogSubscribeMapper {
    long countByExample(DataCatelogSubscribeExample example);

    int deleteByExample(DataCatelogSubscribeExample example);

    int deleteByPrimaryKey(Long id);

    int insert(DataCatelogSubscribe record);

    int insertSelective(DataCatelogSubscribe record);

    List<DataCatelogSubscribe> selectByExample(DataCatelogSubscribeExample example);

    DataCatelogSubscribe selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") DataCatelogSubscribe record, @Param("example") DataCatelogSubscribeExample example);

    int updateByExample(@Param("record") DataCatelogSubscribe record, @Param("example") DataCatelogSubscribeExample example);

    int updateByPrimaryKeySelective(DataCatelogSubscribe record);

    int updateByPrimaryKey(DataCatelogSubscribe record);

    List<DataCatelogListModel> auditIndex(@Param("id") Long id,@Param("pager") BaseExample.Page pager);

    long auditCount(@Param("id") Long id);
}